## onetime 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: onetime
 Type: Package
 Title: Run Code Only Once
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     person(given = "David",
            family = "Hugh-Jones",
@@ -14,14 +14,15 @@
   package is loaded for the very first time.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 Imports: rappdirs, filelock
 URL: https://github.com/hughjonesd/onetime,
         https://hughjonesd.github.io/onetime/
 BugReports: https://github.com/hughjonesd/onetime/issues
-Suggests: callr, covr, devtools, mockr, rlang, testthat (>= 2.1.0),
-        withr
+Suggests: callr, covr, devtools, doctest (>= 0.1.0), knitr, lifecycle,
+        mockr, rlang, rmarkdown, testthat (>= 2.1.0), withr
+VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-11-21 18:16:16 UTC; david
+Packaged: 2023-09-03 02:31:00 UTC; davidhugh-jones
 Repository: CRAN
-Date/Publication: 2022-11-22 14:00:05 UTC
+Date/Publication: 2023-09-03 02:40:02 UTC
