=== debian/changelog ===
onetime (1.122-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:20 +0100

onetime (1.122-1ubuntu1) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:44:17 +0100

onetime (1.122-1) unstable; urgency=low

  * New upstream release.
    - improved --intro documentation

 -- Karl Fogel <kfogel@red-bean.com>  Sat, 13 Aug 2011 11:42:00 -0400

onetime (1.111-1) unstable; urgency=low

  * New upstream release.
    - uses 'hashlib' module instead of 'sha1' to avoid deprecation warning
    - various Makefile improvements that don't really affect users
    - remove bashism in check.sh, as per Debian NMU change

 -- Karl Fogel <kfogel@red-bean.com>  Sat, 06 Aug 2011 01:27:00 -0400

onetime (1.73-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Fix bashism in check.sh and add missing build-dep on python. Patch
     from Michael Bienia. (Closes: #515002)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 02 Oct 2009 17:19:47 +0200

onetime (1.73-1) unstable; urgency=low

  * Initial release (Closes: #490240)

 -- Karl Fogel <kfogel@red-bean.com>  Mon, 14 Jul 2008 22:59:59 -0400
