=== debian/control ===
Source: onetime
Section: misc
Priority: extra
Maintainer: Karl Fogel <kfogel@red-bean.com>
Build-Depends: debhelper (>= 5), python2
Standards-Version: 3.9.2
Homepage: http://www.red-bean.com/onetime/
Vcs-Svn: http://svn.red-bean.com/repos/onetime/trunk/
Vcs-Browser: http://svn.red-bean.com/viewcvs/onetime/trunk/

Package: onetime
Architecture: any
Depends: python2, ${misc:Depends}
Description: command-line encryption using the "one-time pad" method
 OneTime is an encoder/decoder that uses the one-time pad algorithm.
 .
 OneTime is a simple one-time pad encryption program that takes care
 of some of the pad-management bureaucracy for you.  It avoids
 re-using pad data (except when decrypting the same encrypted message
 twice, of course) by maintaining records of pad usage.
 .
 If you keep your ~/.onetime configuration area under version control
 with Subversion or CVS, OneTime will automatically update it to get
 the latest pad usage records before using a pad, and will commit new
 records after using a pad.  Thus, by sharing a single configuration
 area via version control, you and your interlocutors can more easily
 avoid the sin of pad range reuse.
 .
 See http://www.red-bean.com/onetime for more information about OneTime,
 or run 'onetime --help' for detailed usage.  For more information about
 one-time pads in general, see http://en.wikipedia.org/wiki/One-time_pad.
